#include "include/htmlxml.h"
#include <stdio.h>
#include <stdlib.h>	
#include <unistd.h>




HTML_XMLParser::HTML_XMLParser(bool UPPER) : QXmlDefaultHandler()
{
	IS_UPPER = UPPER;
	tagCount = 0;
	propCount = 0;
	myTagArray = 0;
	COMMENT_START = FALSE;
	PROP_COMMENT_START = FALSE;
	DOC_DONE = FALSE;
}

HTML_XMLParser::~HTML_XMLParser()
{
	delete myTagArray;
}

bool HTML_XMLParser::docDone()
{
	return DOC_DONE;
}
bool HTML_XMLParser::startDocument()
{
    return TRUE;
}

bool HTML_XMLParser::endDocument()
{
	DOC_DONE = TRUE;
	//printf("\n------------\nDoc done...\n--------------\n");
	//emit docDone();
}

void HTML_XMLParser::setTagArray(HTMLTag *tagArray)
{
	myTagArray = tagArray;
}
int HTML_XMLParser::getTagCount()
{
	return tagCount;
}
bool HTML_XMLParser::characters ( const QString &ch )
{
	if(COMMENT_START)
	{
		//printf("one=%s\n",ch.latin1());
		(myTagArray+tagCount)->setTagComment(ch);
	}
	else if(PROP_COMMENT_START)
	{
		HTMLTag tmpTag = myTagArray[tagCount];
		HTMLProperty *tmpProp = tmpTag.getPossibleProperties();
		(tmpProp+propCount)->setTagComment(ch);
	}
	return TRUE;
}

bool HTML_XMLParser::startElement( const QString &one, const QString &two,const QString &qName, const QXmlAttributes &attr)
{
	//printf("-->At:%s\n",(attr.value("name")).latin1());


	if(qName == "tag")
	{
		HTMLTag *myTag;
		//printf("-->At:%s\n",(attr.value("name")).latin1());
		if(((attr.value("closingTag"))) == "yes")
		{
			myTag = new HTMLTag((attr.value("name")).latin1(),1, IS_UPPER);
			myTagArray[tagCount] = *myTag;
		}
		else
		{
			myTag = new HTMLTag((attr.value("name")).latin1(),0, IS_UPPER);
			myTagArray[tagCount] = *myTag;
		}
		//delete myTag;
	}
	else if(qName == "property")
	{
		HTMLProperty *htmPropTemp = new HTMLProperty((attr.value("key")).latin1());
		(myTagArray+tagCount)->addPossibleProperty(htmPropTemp);
		//delete htmPropTemp;
	}
	else if(qName == "tagcomment")
	{
		COMMENT_START = TRUE;
	}

	else if(qName == "propcomment")
	{
		PROP_COMMENT_START = TRUE;
	}

	else if(qName == "propVal")
	{
		//HTMLTag *tmpTag = (myTagArray+tagCount);
		HTMLTag tmpTag = myTagArray[tagCount];
		HTMLProperty *tmpProp = tmpTag.getPossibleProperties();
		//printf("name %s\n",tmpProp->getName());
		(tmpProp+propCount)->addValue((attr.value("value")).latin1());
		
		//delete tmpTag;
	}
	//delete &attr;
	//delete &one;
	//delete &two;
	//delete &qName;
	return &TRUE;
}

bool HTML_XMLParser::endElement( const QString&, const QString&, const QString &qName)
{
	if(qName == "tag")
	{
		tagCount++;
		//printf("Tag Done:propCount=%d\n",propCount);
		propCount = 0;
	}
	else if(qName == "tagA")
	{
		tagCount++;
		//printf("Tag Done:propCount=%d\n",propCount);
		propCount = 0;
	}
	else if(qName == "tagcomment")
	{
		COMMENT_START = FALSE;
	}
	else if(qName == "propcomment")
	{
		PROP_COMMENT_START = FALSE;
	}

	else if(qName == "property")
	{
		propCount++;
	}

	return TRUE;
}
