
#include "include/aboutBase.h"

#include <qlabel.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qtooltip.h>


/*
 *  Constructs a AboutForm which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */

myAboutForm::myAboutForm( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "AboutForm" );
    resize( 191, 143 ); 
    setCaption( tr( "About" ) );
    //AboutFormLayout = new QVBoxLayout( this );
    //AboutFormLayout->setSpacing( 6 );
    //AboutFormLayout->setMargin( 11 );

    TextLabel2 = new QLabel( this, "TextLabel2" );
    TextLabel2->setText( tr( "HTML@Zaurus v0.1.8\n"
				"http://www.codefactor.de/htmlAtZaurus.html\n"
				"\n"
				"Author:\n"
				"Scott Taylor <scott@codefactor.de>\n"
				"\n"
				"(c)2002 Scott Taylor\n"
				"Licensed under the GPL v2" ) );
    TextLabel2->->setGeometry( QRect( 0, 0, 191, 143 ) );
    //AboutFormLayout->addWidget( TextLabel2 );
}

/*  
 *  Destroys the object and frees any allocated resources
 */
myAboutForm::~myAboutForm()
{
    // no need to delete child widgets, Qt does it all for us
}

