/*
    HTML@Zaurus HTML Editor for Sharp SL5xxx Linux PDA
    Copyright (C) 2002  Scott Taylor

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


*/


#ifndef HTMLCONFIG_H
#define HTMLCONFIG_H

#include "global.h"

#include <qcheckbox.h>
#include <qvariant.h>
#include <qdialog.h>
#include <qdir.h>
#include <qtextstream.h>
#include <qmessagebox.h>
class QLineEdit;
class QPushButton;
class QCheckBox;

class HTMLConfig : public QDialog
{

    Q_OBJECT
    
	public:
		HTMLConfig( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );				
		
		void save(const char *fileName);
		~HTMLConfig();
	private:

		QLineEdit *browserName;
		QCheckBox *upperCase;
		QCheckBox *lineWrap;
		QLineEdit *wrapAt;
		QPushButton *saveButton;
		void loadConfig();
		
		bool UPPERCASE;

	public slots:
		void saveConfig();
	signals:
		void done();


};
#endif // HTMLCONFIG_H