/*
    HTML@Zaurus HTML Editor for Sharp SL5xxx Linux PDA
    Copyright (C) 2002  Scott Taylor

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


*/

#ifndef HTMLPROPERTYDIALOG_H
#define HTMLPROPERTYDIALOG_H

#include <qdialog.h>
#include <qcombobox.h>
#include <qpushbutton.h>
#include <qlineedit.h>
#include <qlabel.h>
#include <qmultilineedit.h>
#include <qcheckbox.h>

#include "htmltag.h"
//#include "htmlEditor.h"

class HTMLPropertyDialog : public QDialog
{
	Q_OBJECT

	public slots:
		void cancel();
		HTMLTag * getFinishedTag();
		void addValKeyPair();
		void makeVisible(bool yn);
		void changeList(int chose);
		void setNewLine();
		void previewTag();
		void colorDial();
	public:
		HTMLPropertyDialog ( QWidget * parent=0, const char * name=0, bool modal=FALSE, WFlags f=0 );
		~HTMLPropertyDialog();

		void setTag(HTMLTag *myTag);
		void setMarkedText(const char *myTxt);



	private:
		//void addProperty(const char *key, const char *value);
		void insertListItem(QString *key, QString *value);
		void insertListItem(const char *key, const char *value);
		QString		*caption;
		QComboBox	*propertyKeysLB;
		QComboBox	*possibleValuesLB;
		QMultiLineEdit	*text;
		QLineEdit	*lineEd;
		QPushButton	*close;
		QPushButton	*add;
		QPushButton	*addColor;
		
		
		
		//QPushButton	*preview;

		QCheckBox	*cBox;

		/*  Labels....  */
		QLabel		*propLabel;
		QLabel		*valueLabel;
		QLabel		*tagTextLabel;

		QLabel		*status;

		HTMLTag		*tag;
		bool		NEWLINE;



	signals:
		void done();
};
#endif
