/*
    HTML@Zaurus HTML Editor for Sharp SL5xxx Linux PDA
    Copyright (C) 2002  Scott Taylor

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


*/


#ifndef HTMLPTAGDIALOG_H
#define HTMLPTAGDIALOG_H

#include "htmlpropertydialog.h"
#include "htmltag.h"
#include "global.h"

#include <qvariant.h>
#include <qdialog.h>
#include <qdir.h>
#include <qtextstream.h>
#include <qmessagebox.h>
class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QLineEdit;
class QListBox;
class QListBoxItem;
class QPushButton;

class HTMLPTagDialog : public QDialog
{

    Q_OBJECT
    
	public:
		HTMLPTagDialog( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
		HTMLPTagDialog( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 , bool load = TRUE);
		
		void setList();
		const char * getSelectedTag();
		
		void setTags(HTMLTag *tags, int count);
		void save(const char *fileName);
		~HTMLPTagDialog();
	private:

		QListBox *ListBox1;
		QLineEdit *LineEdit1;
		QPushButton *PushButton1;
		QPushButton *PushButton1_2;
		QPushButton *NewButton;
		QPushButton *DeleteButton;
		HTMLPropertyDialog *dialog;	
		QComboBox		*listBox;	
		HTMLTag *mytags;

	public slots:
		void changeList(QListBoxItem *myItem);
		void tagSelected();
		void newTag();
		void insertTag();
		void deleteTag();
	signals:
		void done();


};
#endif // HTMLPTAGDIALOG_H