/*
    HTML@Zaurus HTML Editor for Sharp SL5xxx Linux PDA
    Copyright (C) 2002  Scott Taylor

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


*/

#ifndef HTMLTAG_H
#define HTMLTAG_H
#include <qfile.h>
#include <qlist.h>
#include <qstring.h>

#include "htmlproperty.h"

#define MAX_P 30
#define HAS_END_TAG 1

class QFile;
class QString;

class HTMLTag
{
	public:
		HTMLTag();
		HTMLTag(const char *texT, bool UPPER);
		HTMLTag(const char *texT, int hasEnd, bool UPPER);

		void setTagText(const char *text);
		void addProperty(const char *key, const char *value);
		void addProperty(QString *key, QString *value);
		HTMLProperty * getPossibleProperties();
		void setText(QString *text);
		QString * getText();
		QString * getKey();
		void clearProperties();
		void addPossibleProperty(HTMLProperty *newProp);
		int getPossiblePropertyCount();
		void setTagComment(const char *text);
		const char * getTagComment();
		void setAddNewLine(bool set);

		~HTMLTag();
	private:

		QString *myText;
		QString *comment;
		const char *tagKeyChar;
		QString *tagText;	/*The tag itself*/
		QString *tagEnd;	/*End of tag...ie. </tag>*/
		QString *tagKey;	/*the tagName ie. <tag> it is the tag within...*/
		
		bool UPPERCASE;


		HTMLProperty *myProperties;
		int tagCount;
		int hasTagEnd;
		bool NEWLINE;



};

#endif



